{% extends "base.html" %}
{% load static %}

{% block headcontents %}
    {{ block.super }}
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.14.1/themes/base/jquery-ui.css" />
{% endblock %}

{% block jscript %}
<script src="https://code.jquery.com/ui/1.14.1/jquery-ui.min.js" integrity="sha256-AlTido85uXPlSyyaZNsjJXeCs07eSv3r43kyCVc8ChI=" crossorigin="anonymous"></script>
<script type="text/javascript">
$(document).ready(function() {
    $("#tabs").toggle();
    $("#tabs").tabs({active: {{ idx }}});
});
</script>
{% endblock %}

{% block title %}Options | Create Notification{% endblock %}
{% block heading %}Create Notification{% endblock %}
{% block pageid %}alerts{% endblock %}

{% block content %}

<br />
<div style="padding: 10px;">
<h3>Instructions</h3>
<ul>
    <li>Select a notification type (superevent or event).</li>
    <li>A description is required.</li>
    <li>One or more values can be selected for certain fields (contacts, labels, groups, pipelines, and searches). Use CTRL + click to select multiples in a field.</li>
    <li>See the <a href="{% url "home" %}documentation/notifications.html">documentation</a> for detailed information about creating notifications and how the notification fields are translated into logic for deciding when notifications should be sent.</li>
</ul>
</div>

<div id="tabs" style="min-width: 300px; max-width: 700px; display: none;">
  <ul>
    {% for form in forms %}
    <li><a href="#tab-{{ forloop.counter }}">{{ form.key|title }} Notification</a></li>
    {% endfor %}
  </ul>
  {% for form in forms %}
  <div id="tab-{{ forloop.counter }}">
    <form method="POST" class="contactform">
      <table>
        {{ form.as_table }}
      </table>
      <input type="submit" value="Submit" />
    </form>
  </div>
  {% endfor %}
</div>

{% endblock %}
